package com.jpattern.orm.query.from;

import com.jpattern.orm.classtool.IOrmClassToolMap;

/**
 * 
 * @author Francesco Cina
 *
 * 27/giu/2011
 */
public class JoinElement extends AFromElement {

	public JoinElement(IOrmClassToolMap ormClassToolMap, Class<?> joinClass) {
		super(ormClassToolMap, joinClass);
	}

	@Override
	protected String getJoinName() {
		return ", ";
	}

	@Override
	protected boolean hasOnClause() {
		return false;
	}

	@Override
	protected String onLeftProperty() {
		return "";
	}

	@Override
	protected String onRightProperty() {
		return "";
	}

}
